API ReferenceTask
Assigns User(s) to a Task.
POST
Assigns User(s) to a Task.
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
The new TaskUserAssign resource
- body
projectUserIds?array<string>taskId*stringFormat
uuidassignAllFromBoard?|Default
falseTaskUserAssign resource created
- response
id?stringFormat
uuidprojectUser?timePlanned?|Default
0role?stringValue in
"none""leader-active"curl -X POST 'https://app.icproject.com/api/instance/demo/project/assign-task-users' \ -H 'Content-Type: application/json' \ -d '{ "taskId": "e6e9d88a-9b63-468a-aec3-b7a11de27af8"}'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "projectUser": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "pictureLg": "string", "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "canLogIn": true, "phoneNumber": "string", "jobPositionName": "string", "hourlyRate": null, "isExternal": true, "decorator": "string" }, "timePlanned": 0, "role": "none"}